﻿
; echo 5 > /proc/sys/net/ipv4/tcp_fin_timeout

Procedure.s DQuote(String.s)
  ProcedureReturn #DQUOTE$ + String + #DQUOTE$
EndProcedure

MaffParam.s = ProgramParameter(0)

If Left(MaffParam, 1) <> "/"
  MaffParam = GetCurrentDirectory() + MaffParam
EndIf

Define PrefFile.s = GetPathPart(ProgramFilename()) + "maff.ini"
OpenPreferences(PrefFile)
  PreferenceGroup("Server")
  Port = ReadPreferenceInteger("Port", 8082)
  WritePreferenceInteger("Port", Port)
  PreferenceGroup("Launch")
  Exec.s = ReadPreferenceString("exec", "xdg-open")
  WritePreferenceString("exec", Exec)
ClosePreferences()
FlushPreferenceBuffers()

Server.s = "http://127.0.0.1:"+Str(Port)

If InitNetwork()
  Connection = OpenNetworkConnection("127.0.0.1", Port)
  If Not Connection
    RunProgram(GetCurrentDirectory() + "maffserve")
    Delay(100)
  Else
    CloseNetworkConnection(Connection)
  EndIf
EndIf

XdgParam.s = DQuote(Server+"/read/" + MaffParam)
RunProgram(Exec, XdgParam.s, ".")





; IDE Options = PureBasic 5.60 (Linux - x64)
; Folding = -
; EnableXP
; Executable = release-linux/mafflaunch