
# maff-native readme

## Executable files included:
```
maffcreate        // Create a maff archive
maffdroptarget    // Monitors a folder and runs maffsavegui if there are changes
mafflaunch        // Launches the browser to display a maff file, and starts the server if it isn't running
maffsavegui       // GUI for maffcreate
maffserve         // Server for showing maff files
```

## Installation
Keep them in the same folder. Make sure maffdroptarget is started at login time.

### Linux autostart

For instance, by putting somethig like this in ~/.profile:
`/path/to/maffdroptarget &`

If you want to be able to bookmark maff files in the browser, you need to autostart `maffserve &` as well.

### Windows autostart:
Put a shortcut to maffdroptarget (and optionally maffserve) into the folder that opens when you type shell:startup into the start menu.

### File association
Right click on any maff file and choose "open with". Browse and select the `mafflaunch` executable.

## Basic usage
Create maff files by saving them (from your browser) into the maff drop target folder (automatically created in your home folder).

A save dialog should pop up. **Wait until the download is complete in the browser before clicking save, or the generated maff file will be incomplete.**

##Settings
The server is started on port 8082 by default. To change this, edit the `maff.ini` file that appears in the executable directory on the first start of maffserve or mafflaunch.

The drop target is "Maff Drop Target" in the user's home folder by default. Edit `maffdroptarget.ini` to change it.