﻿
; GUI for MAFF saving
; Input parameter: the html filename
; Runs maffcreate with the input parameter, and a user-selected output filename

InFilename.s = ProgramParameter(0)



InFilenameWithoutExt.s = Left(InFilename, Len(InFilename)-Len(GetExtensionPart(InFilename)))
If Right(InFilenameWithoutExt, 1) = "."
  InFilenameWithoutExt = Left(InFilenameWithoutExt, Len(InFilenameWithoutExt)-1)
EndIf
; Msg.s = "Click ok when the html page has finished downloading: " + #CRLF$ + #CRLF$
; Msg + InFilename
; MessageRequester("Save MAFF as", Msg)
SaveFilename.s = SaveFileRequester("Save MAFF as: " + InFilename, InFilenameWithoutExt + ".maff", "MAFF Files|*.maff|MAFF and HTML Files|*.maff;*.html|All files|*.*", 0)

If SaveFilename = ""
  MsgCancelled.s = "Save cancelled. MAFF file NOT saved."
  MessageRequester("Save MAFF as", MsgCancelled.s)
  End
Else
  MaffCreatePath.s = GetPathPart(ProgramFilename()) + "maffcreate"
  ;Debug MaffCreatePath
  MaffCreateParams.s = #DQUOTE$ + InFilename + #DQUOTE$ + " " + #DQUOTE$ + SaveFilename + #DQUOTE$
  ;MessageRequester("", MaffCreateParams)
  RunProgram(MaffCreatePath,MaffCreateParams, ".")
EndIf
; IDE Options = PureBasic 5.60 (Linux - x64)
; EnableXP
; Executable = release-linux/maffsavegui
; CommandLine = "/home/trond/Dropbox/drop-src/maff-native/osnews_example/OSNews is Exploring the Future of Computing.html"
; CompileSourceDirectory